import{s as rt,n as nt,o as ot}from"../chunks/scheduler.182ea377.js";import{S as dt,i as it,g as r,s as o,p as f,A as at,h as n,f as s,c as d,j as u,q as m,m as p,k as a,v as t,a as h,r as g,d as _,t as v,u as b}from"../chunks/index.008d68e4.js";import{D as W}from"../chunks/Docstring.7aec8b85.js";import{I as Ie}from"../chunks/IconCopyLink.96bbb92b.js";function lt(qe){let S,oe,$,w,se,E,$e,U,He="PNDMScheduler",de,F,Ve='<code>PNDMScheduler</code>, or pseudo numerical methods for diffusion models, uses more advanced ODE integration techniques like the Runge-Kutta and linear multi-step method. The original implementation can be found at <a href="https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L181" rel="nofollow">crowsonkb/k-diffusion</a>.',ie,x,M,re,L,xe,j,Re="PNDMScheduler",ae,i,A,De,B,ze=`<code>PNDMScheduler</code> uses pseudo numerical methods for diffusion models such as the Runge-Kutta and linear multi-step
method.`,Pe,J,Ke=`This model inherits from <a href="/docs/diffusers/v0.25.0/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/v0.25.0/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,we,T,I,Me,Y,We=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Te,N,q,Ne,G,Ue="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",ye,y,H,ke,Q,je=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise), and calls <a href="/docs/diffusers/v0.25.0/en/api/schedulers/pndm#diffusers.PNDMScheduler.step_prk">step_prk()</a>
or <a href="/docs/diffusers/v0.25.0/en/api/schedulers/pndm#diffusers.PNDMScheduler.step_plms">step_plms()</a> depending on the internal variable <code>counter</code>.`,Ce,k,V,Oe,X,Be=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the linear multistep method. It performs one forward pass multiple times to approximate the solution.`,Ee,C,R,Fe,Z,Je=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the Runge-Kutta method. It performs four forward passes to approximate the solution to the differential
equation.`,le,D,O,ne,z,Le,ee,Ye="SchedulerOutput",ue,P,K,Ae,te,Ge="Base class for the output of a scheduler’s <code>step</code> function.",ce;return E=new Ie({}),L=new Ie({}),A=new W({props:{name:"class diffusers.PNDMScheduler",anchor:"diffusers.PNDMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"skip_prk_steps",val:": bool = False"},{name:"set_alpha_to_one",val:": bool = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'leading'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.PNDMScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.PNDMScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.PNDMScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.PNDMScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.PNDMScheduler.skip_prk_steps",description:`<strong>skip_prk_steps</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Allows the scheduler to skip the Runge-Kutta steps defined in the original paper as being required before
PLMS steps.`,name:"skip_prk_steps"},{anchor:"diffusers.PNDMScheduler.set_alpha_to_one",description:`<strong>set_alpha_to_one</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Each diffusion step uses the alphas product value at that step and at the previous one. For the final step
there is no previous alpha. When this option is <code>True</code> the previous alpha product is fixed to <code>1</code>,
otherwise it uses the alpha value at step 0.`,name:"set_alpha_to_one"},{anchor:"diffusers.PNDMScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process)
or <code>v_prediction</code> (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen Video</a>
paper).`,name:"prediction_type"},{anchor:"diffusers.PNDMScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;leading&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.PNDMScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L72"}}),I=new W({props:{name:"scale_model_input",anchor:"diffusers.PNDMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L392",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),q=new W({props:{name:"set_timesteps",anchor:"diffusers.PNDMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.PNDMScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L168"}}),H=new W({props:{name:"step",anchor:"diffusers.PNDMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L228",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),V=new W({props:{name:"step_plms",anchor:"diffusers.PNDMScheduler.step_plms",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_plms.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_plms.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_plms.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_plms.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L321",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),R=new W({props:{name:"step_prk",anchor:"diffusers.PNDMScheduler.step_prk",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_prk.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_prk.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_prk.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_prk.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_pndm.py#L261",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.25.0/en/api/schedulers/singlestep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),z=new Ie({}),K=new W({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){S=r("meta"),oe=o(),$=r("h1"),w=r("a"),se=r("span"),f(E.$$.fragment),$e=o(),U=r("span"),U.textContent=He,de=o(),F=r("p"),F.innerHTML=Ve,ie=o(),x=r("h2"),M=r("a"),re=r("span"),f(L.$$.fragment),xe=o(),j=r("span"),j.textContent=Re,ae=o(),i=r("div"),f(A.$$.fragment),De=o(),B=r("p"),B.innerHTML=ze,Pe=o(),J=r("p"),J.innerHTML=Ke,we=o(),T=r("div"),f(I.$$.fragment),Me=o(),Y=r("p"),Y.textContent=We,Te=o(),N=r("div"),f(q.$$.fragment),Ne=o(),G=r("p"),G.textContent=Ue,ye=o(),y=r("div"),f(H.$$.fragment),ke=o(),Q=r("p"),Q.innerHTML=je,Ce=o(),k=r("div"),f(V.$$.fragment),Oe=o(),X=r("p"),X.textContent=Be,Ee=o(),C=r("div"),f(R.$$.fragment),Fe=o(),Z=r("p"),Z.textContent=Je,le=o(),D=r("h2"),O=r("a"),ne=r("span"),f(z.$$.fragment),Le=o(),ee=r("span"),ee.textContent=Ye,ue=o(),P=r("div"),f(K.$$.fragment),Ae=o(),te=r("p"),te.innerHTML=Ge,this.h()},l(e){const c=at("svelte-1phssyn",document.head);S=n(c,"META",{name:!0,content:!0}),c.forEach(s),oe=d(e),$=n(e,"H1",{class:!0});var pe=u($);w=n(pe,"A",{id:!0,class:!0,href:!0});var Qe=u(w);se=n(Qe,"SPAN",{});var Xe=u(se);m(E.$$.fragment,Xe),Xe.forEach(s),Qe.forEach(s),$e=d(pe),U=n(pe,"SPAN",{"data-svelte-h":!0}),p(U)!=="svelte-1kx6wzd"&&(U.textContent=He),pe.forEach(s),de=d(e),F=n(e,"P",{"data-svelte-h":!0}),p(F)!=="svelte-yw9fdh"&&(F.innerHTML=Ve),ie=d(e),x=n(e,"H2",{class:!0});var he=u(x);M=n(he,"A",{id:!0,class:!0,href:!0});var Ze=u(M);re=n(Ze,"SPAN",{});var et=u(re);m(L.$$.fragment,et),et.forEach(s),Ze.forEach(s),xe=d(he),j=n(he,"SPAN",{"data-svelte-h":!0}),p(j)!=="svelte-1kx6wzd"&&(j.textContent=Re),he.forEach(s),ae=d(e),i=n(e,"DIV",{class:!0});var l=u(i);m(A.$$.fragment,l),De=d(l),B=n(l,"P",{"data-svelte-h":!0}),p(B)!=="svelte-1he8ugl"&&(B.innerHTML=ze),Pe=d(l),J=n(l,"P",{"data-svelte-h":!0}),p(J)!=="svelte-1coxf99"&&(J.innerHTML=Ke),we=d(l),T=n(l,"DIV",{class:!0});var fe=u(T);m(I.$$.fragment,fe),Me=d(fe),Y=n(fe,"P",{"data-svelte-h":!0}),p(Y)!=="svelte-1rkfgpx"&&(Y.textContent=We),fe.forEach(s),Te=d(l),N=n(l,"DIV",{class:!0});var me=u(N);m(q.$$.fragment,me),Ne=d(me),G=n(me,"P",{"data-svelte-h":!0}),p(G)!=="svelte-1vzm9q"&&(G.textContent=Ue),me.forEach(s),ye=d(l),y=n(l,"DIV",{class:!0});var ge=u(y);m(H.$$.fragment,ge),ke=d(ge),Q=n(ge,"P",{"data-svelte-h":!0}),p(Q)!=="svelte-1wv7n0i"&&(Q.innerHTML=je),ge.forEach(s),Ce=d(l),k=n(l,"DIV",{class:!0});var _e=u(k);m(V.$$.fragment,_e),Oe=d(_e),X=n(_e,"P",{"data-svelte-h":!0}),p(X)!=="svelte-1n4l8et"&&(X.textContent=Be),_e.forEach(s),Ee=d(l),C=n(l,"DIV",{class:!0});var ve=u(C);m(R.$$.fragment,ve),Fe=d(ve),Z=n(ve,"P",{"data-svelte-h":!0}),p(Z)!=="svelte-1bmmr5f"&&(Z.textContent=Je),ve.forEach(s),l.forEach(s),le=d(e),D=n(e,"H2",{class:!0});var be=u(D);O=n(be,"A",{id:!0,class:!0,href:!0});var tt=u(O);ne=n(tt,"SPAN",{});var st=u(ne);m(z.$$.fragment,st),st.forEach(s),tt.forEach(s),Le=d(be),ee=n(be,"SPAN",{"data-svelte-h":!0}),p(ee)!=="svelte-1qoi9nz"&&(ee.textContent=Ye),be.forEach(s),ue=d(e),P=n(e,"DIV",{class:!0});var Se=u(P);m(K.$$.fragment,Se),Ae=d(Se),te=n(Se,"P",{"data-svelte-h":!0}),p(te)!=="svelte-6ojmkw"&&(te.innerHTML=Ge),Se.forEach(s),this.h()},h(){a(S,"name","hf:doc:metadata"),a(S,"content",JSON.stringify(ut)),a(w,"id","pndmscheduler"),a(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(w,"href","#pndmscheduler"),a($,"class","relative group"),a(M,"id","diffusers.PNDMScheduler"),a(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(M,"href","#diffusers.PNDMScheduler"),a(x,"class","relative group"),a(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(O,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(O,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(D,"class","relative group"),a(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,S),h(e,oe,c),h(e,$,c),t($,w),t(w,se),g(E,se,null),t($,$e),t($,U),h(e,de,c),h(e,F,c),h(e,ie,c),h(e,x,c),t(x,M),t(M,re),g(L,re,null),t(x,xe),t(x,j),h(e,ae,c),h(e,i,c),g(A,i,null),t(i,De),t(i,B),t(i,Pe),t(i,J),t(i,we),t(i,T),g(I,T,null),t(T,Me),t(T,Y),t(i,Te),t(i,N),g(q,N,null),t(N,Ne),t(N,G),t(i,ye),t(i,y),g(H,y,null),t(y,ke),t(y,Q),t(i,Ce),t(i,k),g(V,k,null),t(k,Oe),t(k,X),t(i,Ee),t(i,C),g(R,C,null),t(C,Fe),t(C,Z),h(e,le,c),h(e,D,c),t(D,O),t(O,ne),g(z,ne,null),t(D,Le),t(D,ee),h(e,ue,c),h(e,P,c),g(K,P,null),t(P,Ae),t(P,te),ce=!0},p:nt,i(e){ce||(_(E.$$.fragment,e),_(L.$$.fragment,e),_(A.$$.fragment,e),_(I.$$.fragment,e),_(q.$$.fragment,e),_(H.$$.fragment,e),_(V.$$.fragment,e),_(R.$$.fragment,e),_(z.$$.fragment,e),_(K.$$.fragment,e),ce=!0)},o(e){v(E.$$.fragment,e),v(L.$$.fragment,e),v(A.$$.fragment,e),v(I.$$.fragment,e),v(q.$$.fragment,e),v(H.$$.fragment,e),v(V.$$.fragment,e),v(R.$$.fragment,e),v(z.$$.fragment,e),v(K.$$.fragment,e),ce=!1},d(e){e&&(s(oe),s($),s(de),s(F),s(ie),s(x),s(ae),s(i),s(le),s(D),s(ue),s(P)),s(S),b(E),b(L),b(A),b(I),b(q),b(H),b(V),b(R),b(z),b(K)}}}const ut={local:"pndmscheduler",sections:[{local:"diffusers.PNDMScheduler",title:"PNDMScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"PNDMScheduler"};function ct(qe){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gt extends dt{constructor(S){super(),it(this,S,ct,lt,rt,{})}}export{gt as component};
